var oldSchoolNum;
var oldGradeNum;
var oldClassNum;
var oldStudentName;
var oldMobile;
var oldPassword;
var oldConfirmPassword;
var oldParentName;
var oldCode;
//是否获取过验证码
var getCode = false;
var userId;

var stuData;

//获取验证码前的前台的校验-点击获取验证码需要的前台验证
function validateForm(vue01) {
	var flag = true;
	var schoolNum =vue01.schoolval;
	var gradeNum = vue01.gradeval;
	var classNum = vue01.classval;
	var studentName = vue01.selectedStudentNameText;
	
	var mobile = $("#mobile").val();
	var password = $("#password").val();
	var confirmPassword = $("#password").val();
	var parentName = $("#parentName").val();

	//学生姓名
	if(studentName == "") {
		$('body').overhang({
			type: 'warn',
			message: '请输入学生姓名'
		});
		return false;
	}
	//手机号
	checkMobile();
	if(!checkMobile()) {
		return false;
	}
	//密码
	if(password == ''){
		$('body').overhang({
			type: 'warn',
			message: '请输入密码'
		});
		return false;
	}else{
		if(!$.isPasswd2(password)){
			if(password.length<6){
				$('body').overhang({
					type: 'warn',
					message: '密码小于6位！'
				});
			}else if(password.length>20){
				$('body').overhang({
					type: 'warn',
					message: '密码大于20位！'
				});
			}else{
				$('body').overhang({
					type: 'warn',
					message: '密码不可以设置特殊字符！'
				});
				
			}
			
			return false;
		}
		
	
		var isEnforceChangePassword;
		$.newAjax({
			url: $.getUrl() + '/teacherAppScore!getConff.action',
			success: function(data) {
				
				isEnforceChangePassword=data.isEnforceChangePassword;
				
				
			}
		});
		
		if(!$.isPasswd(password)&&isEnforceChangePassword=='1'){
			$('body').overhang({
				type: 'warn',
				message: '密码格式不正确，请输入6-20位字母数字组合密码！'
			});
			return false;
		}
		
	}
	//确认密码
	if(!checkPassword()) {
		return false;
	}
	//家长姓名
	if(!checkParentName()) {
		return false;
	}
	//上面都通过了 返回true
	return true;
}

//对比新旧字段，判断是否需要再次判断-点击提交需要的前台验证
function isContinue(vue01) {
	var schoolNum =vue01.schoolval;
	var gradeNum = vue01.gradeval;
	var classNum = vue01.classval;
	var studentName = vue01.selectedStudentNameText;
	
	//**********前台判断
	//（1）判断新旧密码是否一样，不一样，验证密码是否合法即可
	var password = $("#password").val();
	if(parseInt(oldPassword) != parseInt(password)) {
		
		if(password == ''){
			$('body').overhang({
				type: 'warn',
				message: '请输入密码'
			});
			return false;
		}else{
			if(!$.isPasswd2(password)){
				if(password.length<6){
					$('body').overhang({
						type: 'warn',
						message: '密码小于6位！'
					});
				}else if(password.length>20){
					$('body').overhang({
						type: 'warn',
						message: '密码大于20位！'
					});
				}else{
					$('body').overhang({
						type: 'warn',
						message: '密码不可以设置特殊字符！'
					});
					
				}
				
				return false;
			}
			
			var isEnforceChangePassword;
			$.newAjax({
				url: $.getUrl() + '/teacherAppScore!getConff.action',
				success: function(data) {
					
					isEnforceChangePassword=data.isEnforceChangePassword;
					
					if(!$.isPasswd(password)&&isEnforceChangePassword=='1'){
						$('body').overhang({
							type: 'warn',
							message: '密码格式不正确，请输入6-20位字母数字组合密码！'
						});
						return false;
					}
					
				}
			});
			
		}
	}
	//验证 新确认密码 和 新密码是否一致
	if(parseInt(oldPassword) != parseInt(password) || parseInt(oldConfirmPassword) != parseInt(confirmPassword)) {
		if(!checkPassword()) {
			return false;
		}
	}
	//（2）判断新旧家长姓名是否一致
	var parentName = $("#parentName").val();
	if(parseInt(oldParentName) != parseInt(parentName)) {
		//家长姓名
		if(!checkParentName()) {
			return false;
		}
	}
	//************含后台的判断
	//（3）手机号了发生改变
	var mobile = $("#mobile").val();
	if(parseInt(oldMobile) != parseInt(mobile)) {
		getCode = false;
		$('body').overhang({
			type: 'warn',
			message: '手机号修改后需重新获取验证码'
		});
		return false;
	}

	//（4）如果班级，学生姓名发生改变，不能继续，需要验证 ,若验证不通过，返回false (这2项任意变化  只需要验证一遍即可)
	if(parseInt(oldClassNum) != parseInt(classNum) || oldStudentName != studentName) {

		//学生姓名
		//		if(studentName==""){
		//			$('body').overhang({
		//				type: 'warn',
		//				message: '请填写学生姓名'
		//			});
		//			return false;
		//		}else{
		//			  var re = /^[a-zA-Z\u4e00-\u9fa5]+$/;     
		//		      if(!re.exec(studentName)) {  
		//		      		$('body').overhang({
		//						type: 'warn',
		//						message: '学生姓名只能输入汉字或字母'
		//					});
		//		            return false;       
		//		      }else{
		//		    	  $("#spanStudentName").html("");
		//		      }
		//		}

		//		if(!checkUserAndMobile()){
		//			return false;
		//		}

		$('body').overhang({
			type: 'warn',
			message: '上次获取验证码后，班级或者学生姓名发生了变化，请重新获取验证码！'
		});
		getCode = false;
		return false;
	}

	//上面都通过，返回true
	return true;
}

//验证手机号
function checkMobile() {
	var mobile = $.trim($("#mobile").val());
	if(mobile == '') {
		$('body').overhang({
			type: 'warn',
			message: '请填写手机号'
		});
		return false;
	}
	if($.checkPhone(mobile)) {
		return true;
	} else {
		$('body').overhang({
			type: 'warn',
			message: '请填写正确的手机号'
		});
		return false;
	}
}

//两次密码一致性校验
function checkPassword() {
	var password = $("#password").val();
	var repassword = $("#confirmPassword").val();
	if(password != repassword) {
		$('body').overhang({
			type: 'warn',
			message: '两次密码输入不一致'
		});
		return false;
	} else {
		return true;
	}
}

//家长姓名的合法性校验
function checkParentName() {
	var parentName = $("#parentName").val();
	//家长姓名
	if(parentName != "") {
		var re = /^[a-zA-Z\u4e00-\u9fa5]+$/;
		if(!re.exec(parentName)) {
			$('body').overhang({
				type: 'warn',
				message: '家长姓名只能输入汉字或字母'
			});
			return false;
		} else {
			return true;
		}
	} else {
		return true;
	}
}

//校验验证码是否合格
function checkCode() {
	//1、判断验证码格式 (目前是6位纯数字，不合格就不去后台再提交了)
	var code = $("#code").val().trim();
	reg = /^\d{6}$/;
	if(!reg.test(code)) {
		$('body').overhang({
			type: 'warn',
			message: '验证码错误'
		});
		return false;
	} else {
		return true;
	}
}

//***********获取验证码后,将基本信息放入old字段中  （获取后，说明之前字段的值符合规则）
function pushOldValue(vue01) {

	oldSchoolNum = vue01.schoolval;
	oldGradeNum = vue01.gradeval;
	oldClassNum = vue01.classval;
	oldStudentName = vue01.selectedStudentNameText;
	oldMobile = $("#mobile").val();
	oldPassword = $("#password").val();
	oldConfirmPassword = $("#confirmPassword").val();
	oldParentName = $("#parentName").val();
}

//************验证 所选 学校 年级 班级下的学生是否可用--后台学生基本信息验证
function checkUserAndMobile(vue01) {
	var flag = '0';
	var schoolNum =vue01.schoolval;
	var gradeNum = vue01.gradeval;
	var classNum = vue01.classval;
	var studentName = vue01.selectedStudentNameText;
	var mobile = $.trim($("#mobile").val());

	//该手机号是否已注册
	var isExist = false;
	$.newAjax({ //基本信息验证
		url: $.getUrl() + "/appIndex!isExistUser.action",
		data: {
			mobile: mobile,
			userType: 3,
			gradeNum:gradeNum
		},
		async: false,
		success: function(data) {
			if(data.code == 200) {
				$('body').overhang({
					type: 'warn',
					message: '此手机号已注册，请直接登录'
				});
				isExist = true;
			}
		},
		error: function(XMLHttpRequest, statusText, errorThrown) {
			mui.alert("请重试");
		}
	});

	if(isExist) {
		return '0';
	}

	$.newAjax({ //基本信息验证
		url: $.getUrl() + "/appIndex!checkRegistForm.action",
		data: {
			schoolNum: schoolNum,
			gradeNum: gradeNum,
			classNum: classNum,
			studentName: studentName,
			mobile: mobile
		},
		async: false,
		success: function(data) {
			if(data) {
				if(data.code == 200) {
					flag = '2';
					userId = data.data.id;
					return;
				} else if(data.code == 491) {
					flag = '1';
					stuData = data.data;
					return;
				} else {
					flag = '0';
					$('body').overhang({
						type: 'warn',
						message: data.msg
					});
					return;
				}
			} else {
				flag = '0';
				return;
			}
		},
		error: function(XMLHttpRequest, statusText, errorThrown) {
			mui.alert("请重试");
		}
	});

	return flag;
}